Update start.mozilla.org from https://github.com/mozilla/fx36start

RESOLVED FIXED

Status

Infrastructure & Operations
WebOps: Other
RESOLVED FIXED
5 years ago
5 years ago

People

(Reporter: cmore, Assigned: cturra)

Tracking

Details

(Whiteboard: [push interrupt])

(Reporter)

Description

5 years ago
We are updating the logo on start.mozilla.org. We need master pushed to stage and we will verify the logo is updated before going to production.
(Reporter)

Updated

5 years ago
Blocks: 889382
No longer blocks: 838329
(Reporter)

Updated

5 years ago
No longer depends on: 839130
(Assignee)

Comment 1

5 years ago
push to stage complete. let me know when you're happy with this going into production.

[root@startpageadm.private.scl3 start.allizom.org]# bash -x update.sh
+ CODE_DIR=/data/startpage-stage/src/start.allizom.org/fx36start
+ WEB_DIR=/data/startpage-stage/src/start.allizom.org/startpage
+ echo -e 'Updating code...'
Updating code...
+ cd /data/startpage-stage/src/start.allizom.org/fx36start
+ git pull
remote: Counting objects: 10, done.
remote: Compressing objects: 100% (4/4), done.
remote: Total 6 (delta 2), reused 6 (delta 2)
Unpacking objects: 100% (6/6), done.
From https://github.com/mozilla/fx36start
   30aac2c..b61b5b6  master     -> origin/master
Updating 30aac2c..b61b5b6
Fast-forward
 img/favicon.png | Bin 938 -> 815 bytes
 img/sprite2.png | Bin 9709 -> 8818 bytes
 2 files changed, 0 insertions(+), 0 deletions(-)
+ pushd locale
/data/startpage-stage/src/start.allizom.org/fx36start/locale /data/startpage-stage/src/start.allizom.org/fx36start
+ svn up
Updating '.':
At revision 117623.
+ popd
/data/startpage-stage/src/start.allizom.org/fx36start
+ ./generate.py --output-dir /data/startpage-stage/src/start.allizom.org/startpage -f
Writing passive template to /data/startpage-stage/src/start.allizom.org/startpage
WARNING:root:Unknown text "Privacy Policy" for language en-US
WARNING:root:Unknown text "Mozilla Firefox Start Page" for language id
WARNING:root:Unknown text "Mozilla Firefox Start Page" for language ta-LK
WARNING:root:Unknown text "Mozilla Firefox Start Page" for language vi
+ checkretval
+ retval=0
+ [[ 0 -gt 0 ]]
+ /data/startpage-stage/deploy start.allizom.org
[2013-07-02 11:18:15] Running rsync_project
[2013-07-02 11:18:15] [localhost] running: /usr/bin/rsync -aq --include '.gitkeep' --exclude '.git*' --exclude '.hg*' --exclude '.svn*' --exclude 'CVS' --exclude '.bzr*' --delete /data/startpage-stage/src/start.allizom.org/ /data/startpage-stage/www/start.allizom.org/
[2013-07-02 11:18:15] [localhost] finished: /usr/bin/rsync -aq --include '.gitkeep' --exclude '.git*' --exclude '.hg*' --exclude '.svn*' --exclude 'CVS' --exclude '.bzr*' --delete /data/startpage-stage/src/start.allizom.org/ /data/startpage-stage/www/start.allizom.org/ (0.346s)
[2013-07-02 11:18:15] Finished rsync_project (0.347s)
[2013-07-02 11:18:15] Running commit_www
[2013-07-02 11:18:15] [localhost] running: cd /data/startpage-stage/www && /usr/bin/git add .; /usr/bin/git commit -a -m 'deploy ['start.allizom.org']'
[2013-07-02 11:18:16] [localhost] finished: cd /data/startpage-stage/www && /usr/bin/git add .; /usr/bin/git commit -a -m 'deploy ['start.allizom.org']' (0.740s)
[localhost] out: [master 7945629] deploy [start.allizom.org]
[localhost] out: 4 files changed, 0 insertions(+), 0 deletions(-)
[localhost] out: rewrite start.allizom.org/fx36start/img/favicon.png (99%)
[localhost] out: rewrite start.allizom.org/fx36start/img/sprite2.png (99%)
[localhost] out: rewrite start.allizom.org/startpage/static/img/favicon.png (99%)
[localhost] out: rewrite start.allizom.org/startpage/static/img/sprite2.png (99%)
[2013-07-02 11:18:16] Finished commit_www (0.741s)
Assignee: server-ops-webops → cturra
Flags: needinfo?(chrismore.bugzilla)
(Reporter)

Comment 2

5 years ago
I am unable to access start.allizom.org. 403 error.
Flags: needinfo?(chrismore.bugzilla)
(Assignee)

Comment 3

5 years ago
(In reply to Chris More [:cmore] from comment #2)
> I am unable to access start.allizom.org. 403 error.

looks like you need to pass locale.

$ curl -I http://start.allizom.org/en-US/
HTTP/1.1 200 OK
Server: Apache
X-Backend-Server: startpage1.stage.webapp.scl3.mozilla.com
Content-Type: text/html; charset=UTF-8
Date: Tue, 02 Jul 2013 18:53:10 GMT
Accept-Ranges: bytes
ETag: "2511"
Last-Modified: Fri, 08 Feb 2013 17:46:16 GMT
X-Cache-Info: caching
Content-Length: 9489
(Reporter)

Comment 4

5 years ago
Looks good. Approved for prod. thanks!
(Assignee)

Comment 5

5 years ago
thnx :cmore. push to prod complete.

[root@startpageadm.private.scl3 start.mozilla.org]# bash -x update.sh
+ CODE_DIR=/data/startpage/src/start.mozilla.org/fx36start
+ WEB_DIR=/data/startpage/src/start.mozilla.org/startpage
+ echo -e 'Updating code...'
Updating code...
+ cd /data/startpage/src/start.mozilla.org/fx36start
+ git pull
remote: Counting objects: 10, done.
remote: Compressing objects: 100% (4/4), done.
remote: Total 6 (delta 2), reused 6 (delta 2)
Unpacking objects: 100% (6/6), done.
From https://github.com/mozilla/fx36start
   30aac2c..b61b5b6  master     -> origin/master
Updating 30aac2c..b61b5b6
Fast-forward
 img/favicon.png | Bin 938 -> 815 bytes
 img/sprite2.png | Bin 9709 -> 8818 bytes
 2 files changed, 0 insertions(+), 0 deletions(-)
+ pushd locale
/data/startpage/src/start.mozilla.org/fx36start/locale /data/startpage/src/start.mozilla.org/fx36start
+ svn up
Updating '.':
At revision 117624.
+ popd
/data/startpage/src/start.mozilla.org/fx36start
+ ./generate.py --output-dir /data/startpage/src/start.mozilla.org/startpage -f
Writing passive template to /data/startpage/src/start.mozilla.org/startpage
WARNING:root:Unknown text "Privacy Policy" for language en-US
WARNING:root:Unknown text "Mozilla Firefox Start Page" for language id
WARNING:root:Unknown text "Mozilla Firefox Start Page" for language ta-LK
WARNING:root:Unknown text "Mozilla Firefox Start Page" for language vi
+ checkretval
+ retval=0
+ [[ 0 -gt 0 ]]
+ /data/startpage/deploy start.mozilla.org
[2013-07-02 12:05:08] Running rsync_project
[2013-07-02 12:05:08] [localhost] running: /usr/bin/rsync -aq --include '.gitkeep' --exclude '.git*' --exclude '.hg*' --exclude '.svn*' --exclude 'CVS' --exclude '.bzr*' --delete /data/startpage/src/start.mozilla.org/ /data/startpage/www/start.mozilla.org/
[2013-07-02 12:05:08] [localhost] finished: /usr/bin/rsync -aq --include '.gitkeep' --exclude '.git*' --exclude '.hg*' --exclude '.svn*' --exclude 'CVS' --exclude '.bzr*' --delete /data/startpage/src/start.mozilla.org/ /data/startpage/www/start.mozilla.org/ (0.314s)
[2013-07-02 12:05:08] Finished rsync_project (0.315s)
[2013-07-02 12:05:08] Running commit_www
[2013-07-02 12:05:08] [localhost] running: cd /data/startpage/www && /usr/bin/git add .; /usr/bin/git commit -a -m 'deploy ['start.mozilla.org']'
[2013-07-02 12:05:09] [localhost] finished: cd /data/startpage/www && /usr/bin/git add .; /usr/bin/git commit -a -m 'deploy ['start.mozilla.org']' (1.048s)
[localhost] out: [master 84e4f3c] deploy [start.mozilla.org]
[localhost] out: 4 files changed, 0 insertions(+), 0 deletions(-)
[localhost] out: rewrite start.mozilla.org/fx36start/img/favicon.png (99%)
[localhost] out: rewrite start.mozilla.org/fx36start/img/sprite2.png (99%)
[localhost] out: rewrite start.mozilla.org/startpage/static/img/favicon.png (99%)
[localhost] out: rewrite start.mozilla.org/startpage/static/img/sprite2.png (99%)
[2013-07-02 12:05:09] Finished commit_www (1.049s)
Status: NEW → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → FIXED
Component: Server Operations: Web Operations → WebOps: Other
Product: mozilla.org → Infrastructure & Operations
You need to log in before you can comment on or make changes to this bug.